# DataExchange
TKIGES
IGESData

# IGESData_DefSwitch Class Reference

description of a directory componant which can be either
undefined (let Void), defined as a Reference to an entity,
or as a Rank, integer value adressing a builtin table
The entity reference is not included here, only reference
status is kept (because entity type must be adapted)

`#include <IGESData_DefSwitch.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESData_DefSwitch ()
| creates a DefSwitch as Void
Standard_EXPORT void | SetVoid ()
| sets DefSwitch to "Void" status (in file : Integer = 0)
Standard_EXPORT void | SetReference ()
| sets DefSwitch to "Reference" Status (in file : Integer < 0)
Standard_EXPORT void | SetRank (const Standard_Integer val)
| sets DefSwitch to "Rank" with a Value (in file : Integer > 0)
Standard_EXPORT IGESData_DefType | DefType () const
| returns DefType status (Void,Reference,Rank)
Standard_EXPORT Standard_Integer | Value () const
| returns Value as Integer (sensefull for a Rank)
Standard_Integer | _CSFDB_GetIGESData_DefSwitchtheval () const
void | _CSFDB_SetIGESData_DefSwitchtheval (const Standard_Integer p)

## Private Attributes

Standard_Integer | theval

## Friends

Standard_EXPORT friend Handle_Standard_Type & | IGESData_DefSwitch_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_DefSwitch::IGESData_DefSwitch | ( |  | ) |

## Member Function Documentation

Standard_Integer IGESData_DefSwitch::_CSFDB_GetIGESData_DefSwitchtheval | ( |  | ) | const`[inline]`

void IGESData_DefSwitch::_CSFDB_SetIGESData_DefSwitchtheval | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT IGESData_DefType IGESData_DefSwitch::DefType | ( |  | ) | const

void IGESData_DefSwitch::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData_DefSwitch::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData_DefSwitch::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void IGESData_DefSwitch::SetRank | ( | const Standard_Integer | val | ) |

Standard_EXPORT void IGESData_DefSwitch::SetReference | ( |  | ) |

Standard_EXPORT void IGESData_DefSwitch::SetVoid | ( |  | ) |

Standard_EXPORT Standard_Integer IGESData_DefSwitch::Value | ( |  | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& IGESData_DefSwitch_Type_ | ( |  | ) | `[friend]`

## Field Documentation

Standard_Integer IGESData_DefSwitch::theval `[private]`

The documentation for this class was generated from the following file:

- IGESData_DefSwitch.hxx